<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <style>
        body {
            padding: 5em;
            margin: 0;
        }

        div {
            padding: 2em;
        }

        div[id="cajas"] div {
            display: inline;
        }

        div[id="1"] {
            background-color: aqua;
            position: absolute;
            top: 30px;
            left: 30px;
            z-index: 2;
        }

        div[id="2"] {
            background-color: tomato;
            position: absolute;
            top: 20px;
            left: 75px;
            z-index: 1;
        }

        div[id="3"] {
            background-color: chartreuse;
            position: absolute;
            top: 10px;
            left: 125px;
            z-index: 0;
        }
    </style>
</head>
<body>
    <div id="cajas">
        <div id="1">1</div>
        <div id="2">2</div>
        <div id="3">3</div>
    </div>
</div>
</body>
</html>